package outils;

import mathgraph32.MtgFrame;
import mathgraph32.MtgInternalFrame;
import objets.CUnitexRep;
import types.NatureCalcul;
import dialogs.UniteXDlg;

public class OutilUnitexRep extends Outil {
	public OutilUnitexRep(MtgFrame frameInit) {
		super(frameInit, false); // false car pas de clignotement
	}

  @Override
	public void select() {
  	super.select();
		MtgInternalFrame cadre = frame.cadreActif();
		CUnitexRep unitex = new CUnitexRep(frame.cadreActif().listePr, null, false, "", null);
		UniteXDlg dlg = new UniteXDlg(frame, unitex, false);
		dlg.setLocationRelativeTo(frame);
		dlg.setVisible(true);
    if (dlg.retourOK()) {
      if (frame.ajouteElementAvecVerification(unitex))
        cadre.gestionnaire.enregistreFigureEnCours(getString("chaineOutil153"));    	
    }
    frame.activeOutilCapture();
  }
  
  @Override
	public boolean activationValide() {
		return frame.cadreActif().listePr.nombreObjetsParNatureCalculNonIntermediaires(NatureCalcul.NRepere)>0;
	}
	
	@Override
	public String messageActivationNonValide() {
		return getString("messagePasDeRepere");
	}

}
