/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package types;

import mathgraph32.MtgFrame;

public class OperateurFonction4Var {
  public OperateurFonction4Var() {
  }
  public static final int nombreFonctionsReelles4Var = 1;
  
  public static final byte integrale = 0;
  public static final byte integraleC = 64;
  
  
  public static final int indicePremiereFonctionComplexe = 64;
  public static final int nombreFonctionsComplexes4Var = 1;
  
  public static final String nomsFonctions4Var[] =
	{
  	getString("integrale"),
	};
  public static final String nomsFonctionsComplexes4Var[] =
	{
  	getString("integrale"),
	};
  
  public static final String syntaxeNomsFonctions4Var[] =
	{
  	getString("infointegrale"),
	};
  public static final String syntaxeNomsFonctionsComplexes4Var[] =
	{
  	getString("infointegrale"),
	};
  
  public static final String getString(String key) {
  	return MtgFrame.getString(key);
  }  
}
	  